%define tarname	AriaSrc

Name:		ariamaestosa
Version:	1.4.13
Release:	%mkrel 20
Summary:	An open-source midi tracker/editor
# License is GPLv2 with exceptions (look at license.txt)
License:	GPLv2
Group:		Sound/Midi
URL:		http://ariamaestosa.sourceforge.net
Source0:	https://sourceforge.net/projects/ariamaestosa/files/%{name}/%{version}/%{tarname}-%{version}.tar.bz2
Source1:	ariamaestosa.desktop
# Upstream patches
Patch1:		0001-Use-a-sensible-default-folder-for-opening-saving-fil.patch
Patch2:		0001-Update-to-wxWidgets-3.1.2.patch
Patch3:		0001-Make-the-scons-build-compatible-with-Python-3.patch
# Mageia patches
Patch50:	ariamaestosa-wxgtk.patch
Patch51:	ariamaestosa-scons.patch
Patch52:	ariamaestosa-skip-upstream-version-check.patch
BuildRequires:	cvs
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	imagemagick
BuildRequires:	rcs
BuildRequires:	scons
BuildRequires:	swig
BuildRequires:	ghostscript-devel
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)

%description
Aria Maestosa is an open-source (GPL) midi tracker/editor. It lets you
compose, edit and play midi files with a few clicks in a user-friendly
interface offering keyboard, guitar, drum and controller views.


%prep
%setup -q -n %{tarname}-%{version}
%autopatch -p1

%build
%scons config=debug prefix=%{_prefix} destdir=%{buildroot}

%install
%scons_install config=debug prefix=%{buildroot}%{_prefix}

%find_lang aria_maestosa

# icons-repertory .png
for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps
	convert aria128.png -geometry $SIZE %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps/%{name}.png
done

# desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --mode=0644 --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files -f aria_maestosa.lang
%doc Changelog.txt TODO.txt license.txt
%attr(0755,root,root) %{_bindir}/Aria
%{_datadir}/Aria/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Oct 22 2022 wally <wally> 1.4.13-20.mga9
+ Revision: 1898483
- drop python2 BR

* Fri Jul 15 2022 wally <wally> 1.4.13-19.mga9
+ Revision: 1868979
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 1.4.13-18.mga9
+ Revision: 1864084
- rebuild for wxgtk 3.1.7

* Thu Apr 14 2022 wally <wally> 1.4.13-17.mga9
+ Revision: 1849755
- rebuild for wxgtk 3.1.6
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Jan 23 2022 wally <wally> 1.4.13-15.mga9
+ Revision: 1769517
- add patch to disable upstream version check

* Sun Jan 23 2022 wally <wally> 1.4.13-14.mga9
+ Revision: 1769488
- build with system scons
- fix issues with wxgtk 3.1.5

* Sat Jan 15 2022 wally <wally> 1.4.13-13.mga9
+ Revision: 1768504
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 1.4.13-12.mga9
+ Revision: 1765704
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 1.4.13-11.mga8
+ Revision: 1667687
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.4.13-10.mga8
+ Revision: 1614325
- rebuild for new wxgtk 3.1.4
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 1.4.13-9.mga8
+ Revision: 1538004
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 1.4.13-8.mga8
+ Revision: 1459451
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 1.4.13-7.mga8
+ Revision: 1419520
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 1.4.13-6.mga8
+ Revision: 1419358
- rebuild with gtk3 enabled wxgtk 3.1.2
- build with webview again

* Tue Feb 26 2019 wally <wally> 1.4.13-5.mga7
+ Revision: 1370245
- build without internal browser (rebuild with wxgtk without webkit1 support)

* Fri Sep 21 2018 umeabot <umeabot> 1.4.13-4.mga7
+ Revision: 1294545
- Mageia 7 Mass Rebuild

* Thu Sep 14 2017 daviddavid <daviddavid> 1.4.13-3.mga7
+ Revision: 1153760
- add config=debug option thus fixing empty debugsourcefiles.list

* Sat Jun 03 2017 akien <akien> 1.4.13-2.mga6
+ Revision: 1106081
- Rebuild for wxgtk 3.0.3.1

* Sun Jan 15 2017 daviddavid <daviddavid> 1.4.13-1.mga6
+ Revision: 1081878
- new version: 1.4.13

* Thu Jun 02 2016 daviddavid <daviddavid> 1.4.12-2.mga6
+ Revision: 1019801
- rebuild for wxgtk3.0 built with GTK2

* Mon May 02 2016 daviddavid <daviddavid> 1.4.12-1.mga6
+ Revision: 1008629
- new version: 1.4.12

* Sat Feb 13 2016 umeabot <umeabot> 1.4.11-3.mga6
+ Revision: 959519
- Mageia 6 Mass Rebuild

* Fri Aug 14 2015 ycantin <ycantin> 1.4.11-2.mga6
+ Revision: 864690
- rebuild for new wxgtk built with wxRE_ADVANCED
- typo

* Tue Aug 04 2015 daviddavid <daviddavid> 1.4.11-1.mga6
+ Revision: 861026
- new version: 1.4.11

* Wed Jul 22 2015 daviddavid <daviddavid> 1.4.10-4.mga6
+ Revision: 856226
- rebuild for new wxgtk built with gtk3

* Wed Oct 15 2014 umeabot <umeabot> 1.4.10-3.mga5
+ Revision: 740954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.10-2.mga5
+ Revision: 677894
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 daviddavid <daviddavid> 1.4.10-1.mga5
+ Revision: 662474
- new version: 1.4.10

* Mon Jul 28 2014 daviddavid <daviddavid> 1.4.9-1.mga5
+ Revision: 657818
- imported package ariamaestosa

